#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quic
version:              0.1.5
visibility:           public
id:                   quic-0.1.5-3HL0GW5poBsKJFpcfSxpwS
key:                  quic-0.1.5-3HL0GW5poBsKJFpcfSxpwS
license:              BSD-3-Clause
maintainer:           kazu@iij.ad.jp
author:               Kazu Yamamoto
synopsis:             QUIC
description:
    Library for QUIC: A UDP-Based Multiplexed and Secure Transport

category:             Web
abi:                  4b3cb6de04d280b63357dfeef1acfad8
exposed:              True
exposed-modules:
    Network.QUIC Network.QUIC.Client Network.QUIC.Internal
    Network.QUIC.Server

hidden-modules:
    Network.QUIC.Client.Reader Network.QUIC.Client.Run
    Network.QUIC.Closer Network.QUIC.Common Network.QUIC.Config
    Network.QUIC.Connection Network.QUIC.Connection.Crypto
    Network.QUIC.Connection.Migration Network.QUIC.Connection.Misc
    Network.QUIC.Connection.PacketNumber Network.QUIC.Connection.Queue
    Network.QUIC.Connection.Role Network.QUIC.Connection.State
    Network.QUIC.Connection.Stream Network.QUIC.Connection.StreamTable
    Network.QUIC.Connection.Timeout Network.QUIC.Connection.Types
    Network.QUIC.Connector Network.QUIC.Crypto
    Network.QUIC.Crypto.Fusion Network.QUIC.Crypto.Keys
    Network.QUIC.Crypto.Nite Network.QUIC.Crypto.Types
    Network.QUIC.Crypto.Utils Network.QUIC.Event Network.QUIC.Exception
    Network.QUIC.Handshake Network.QUIC.IO Network.QUIC.Imports
    Network.QUIC.Info Network.QUIC.Logger Network.QUIC.Packet
    Network.QUIC.Packet.Decode Network.QUIC.Packet.Decrypt
    Network.QUIC.Packet.Encode Network.QUIC.Packet.Frame
    Network.QUIC.Packet.Header Network.QUIC.Packet.Number
    Network.QUIC.Packet.Token Network.QUIC.Parameters
    Network.QUIC.QLogger Network.QUIC.Qlog Network.QUIC.Receiver
    Network.QUIC.Recovery Network.QUIC.Recovery.Constants
    Network.QUIC.Recovery.Detect Network.QUIC.Recovery.Interface
    Network.QUIC.Recovery.LossRecovery Network.QUIC.Recovery.Metrics
    Network.QUIC.Recovery.Misc Network.QUIC.Recovery.PeerPacketNumbers
    Network.QUIC.Recovery.Persistent Network.QUIC.Recovery.Release
    Network.QUIC.Recovery.Timer Network.QUIC.Recovery.Types
    Network.QUIC.Recovery.Utils Network.QUIC.Sender
    Network.QUIC.Server.Reader Network.QUIC.Server.Run
    Network.QUIC.Stream Network.QUIC.Stream.Frag
    Network.QUIC.Stream.Misc Network.QUIC.Stream.Queue
    Network.QUIC.Stream.Reass Network.QUIC.Stream.Skew
    Network.QUIC.Stream.Table Network.QUIC.Stream.Types
    Network.QUIC.TLS Network.QUIC.Types Network.QUIC.Types.Ack
    Network.QUIC.Types.CID Network.QUIC.Types.Constants
    Network.QUIC.Types.Error Network.QUIC.Types.Exception
    Network.QUIC.Types.Frame Network.QUIC.Types.Integer
    Network.QUIC.Types.Packet Network.QUIC.Types.Queue
    Network.QUIC.Types.Resumption Network.QUIC.Types.Time
    Network.QUIC.Utils Network.QUIC.Windows

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quic-0.1.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quic-0.1.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quic
hs-libraries:         HSquic-0.1.5-3HL0GW5poBsKJFpcfSxpwS
depends:
    array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-FO4uYOZBv783BbExK26Xj2
    bytestring-0.10.12.1 containers-0.6.4.1
    crypto-token-0.0.2-66L8iP77tWLGEhH8KxTs2s
    crypton-0.34-2c4bKUpClyrDj0Rhtn4YTn
    crypton-x509-1.7.6-1YQW3gEmBhFFcEnzeOTT1Y
    crypton-x509-system-1.6.7-Kf9TMR8Buis8F8H2RV44mx
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO
    fast-logger-3.1.2-FG1ZhYg5IGbCwDVbmko3NZ filepath-1.4.2.1
    iproute-1.7.12-4Vz732dh7TKC7oa2arHlnC
    memory-0.17.0-Ba80JGdi30PBt5EgUiQ1Tu
    network-3.1.4.0-9BhTQWlTEgzEJF9ToXEkqb
    network-byte-order-0.1.7-aizR4J4tPIDAy5AbcEEVa
    network-udp-0.0.0-HSk9nnaVbl89EPGvIUBpQX
    psqueues-0.2.8.0-1ZE4t118PTVI80Dbl0ks5J
    random-1.2.1.1-BxaVw6mUjjQHmGxFEtiVFu stm-2.5.0.0
    tls-1.8.0-KhHG95dHH4Z3QPKZucDkES
    unix-time-0.4.11-3y7P1fvMknt4RWUohLGzYn
    unliftio-0.2.25.0-3ouLkMeW8SPDe6GJ1QgXzD
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj

haddock-interfaces:   /usr/share/doc/haskell-quic/html/quic.haddock
haddock-html:         /usr/share/doc/haskell-quic/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

